2019-06-23 14:12:24 WARN Selenium [DEPRECATION] Selenium::WebDriver::Chrome#driver_path= is deprecated. Use Selenium::WebDriver::Chrome::Service#driver_path= instead.
/app/app/controllers/dashboard_controller.rb:14: warning: key :status is duplicated and overwritten on line 14
DEPRECATION WARNING: [Devise] including `Devise::TestHelpers` is deprecated and will be removed from Devise.
For controller tests, please include `Devise::Test::ControllerHelpers` instead.
 (called from <top (required)> at /app/spec/controllers/dashboard_controller_spec.rb:3)
DEPRECATION WARNING: [Devise] including `Devise::TestHelpers` is deprecated and will be removed from Devise.
For controller tests, please include `Devise::Test::ControllerHelpers` instead.
 (called from <top (required)> at /app/spec/controllers/tasks_controller_spec.rb:3)
WARNING: Shared example group 'deny_without_authorization' has been previously defined at:
  /app/spec/support/shared_examples_request_spec.rb:1
...and you are now defining it at:
  /app/spec/support/shared_examples_request_spec.rb:1
The new definition will overwrite the original one.
<!DOCTYPE html>
<html lang='en'>
<head>
  <title>RSpec results</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Expires" content="-1" />
  <meta http-equiv="Pragma" content="no-cache" />
  <style type="text/css">
  body {
    margin: 0;
    padding: 0;
    background: #fff;
    font-size: 80%;
  }
  </style>
  <script type="text/javascript">
    // <![CDATA[

function addClass(element_id, classname) {
  document.getElementById(element_id).className += (" " + classname);
}

function removeClass(element_id, classname) {
  var elem = document.getElementById(element_id);
  var classlist = elem.className.replace(classname,'');
  elem.className = classlist;
}

function moveProgressBar(percentDone) {
  document.getElementById("rspec-header").style.width = percentDone +"%";
}

function makeRed(element_id) {
  removeClass(element_id, 'passed');
  removeClass(element_id, 'not_implemented');
  addClass(element_id,'failed');
}

function makeYellow(element_id) {
  var elem = document.getElementById(element_id);
  if (elem.className.indexOf("failed") == -1) {  // class doesn't includes failed
    if (elem.className.indexOf("not_implemented") == -1) { // class doesn't include not_implemented
      removeClass(element_id, 'passed');
      addClass(element_id,'not_implemented');
    }
  }
}

function apply_filters() {
  var passed_filter = document.getElementById('passed_checkbox').checked;
  var failed_filter = document.getElementById('failed_checkbox').checked;
  var pending_filter = document.getElementById('pending_checkbox').checked;

  assign_display_style("example passed", passed_filter);
  assign_display_style("example failed", failed_filter);
  assign_display_style("example not_implemented", pending_filter);

  assign_display_style_for_group("example_group passed", passed_filter);
  assign_display_style_for_group("example_group not_implemented", pending_filter, pending_filter || passed_filter);
  assign_display_style_for_group("example_group failed", failed_filter, failed_filter || pending_filter || passed_filter);
}

function get_display_style(display_flag) {
  var style_mode = 'none';
  if (display_flag == true) {
    style_mode = 'block';
  }
  return style_mode;
}

function assign_display_style(classname, display_flag) {
  var style_mode = get_display_style(display_flag);
  var elems = document.getElementsByClassName(classname)
  for (var i=0; i<elems.length;i++) {
    elems[i].style.display = style_mode;
  }
}

function assign_display_style_for_group(classname, display_flag, subgroup_flag) {
  var display_style_mode = get_display_style(display_flag);
  var subgroup_style_mode = get_display_style(subgroup_flag);
  var elems = document.getElementsByClassName(classname)
  for (var i=0; i<elems.length;i++) {
    var style_mode = display_style_mode;
    if ((display_flag != subgroup_flag) && (elems[i].getElementsByTagName('dt')[0].innerHTML.indexOf(", ") != -1)) {
      elems[i].style.display = subgroup_style_mode;
    } else {
      elems[i].style.display = display_style_mode;
    }
  }
}

    // ]]>
  </script>
  <style type="text/css">
#rspec-header {
  background: #65C400; color: #fff; height: 4em;
}

.rspec-report h1 {
  margin: 0px 10px 0px 10px;
  padding: 10px;
  font-family: "Lucida Grande", Helvetica, sans-serif;
  font-size: 1.8em;
  position: absolute;
}

#label {
  float:left;
}

#display-filters {
  float:left;
  padding: 28px 0 0 40%;
  font-family: "Lucida Grande", Helvetica, sans-serif;
}

#summary {
  float:right;
  padding: 5px 10px;
  font-family: "Lucida Grande", Helvetica, sans-serif;
  text-align: right;
}

#summary p {
  margin: 0 0 0 2px;
}

#summary #totals {
  font-size: 1.2em;
}

.example_group {
  margin: 0 10px 5px;
  background: #fff;
}

dl {
  margin: 0; padding: 0 0 5px;
  font: normal 11px "Lucida Grande", Helvetica, sans-serif;
}

dt {
  padding: 3px;
  background: #65C400;
  color: #fff;
  font-weight: bold;
}

dd {
  margin: 5px 0 5px 5px;
  padding: 3px 3px 3px 18px;
}

dd .duration {
  padding-left: 5px;
  text-align: right;
  right: 0px;
  float:right;
}

dd.example.passed {
  border-left: 5px solid #65C400;
  border-bottom: 1px solid #65C400;
  background: #DBFFB4; color: #3D7700;
}

dd.example.not_implemented {
  border-left: 5px solid #FAF834;
  border-bottom: 1px solid #FAF834;
  background: #FCFB98; color: #131313;
}

dd.example.pending_fixed {
  border-left: 5px solid #0000C2;
  border-bottom: 1px solid #0000C2;
  color: #0000C2; background: #D3FBFF;
}

dd.example.failed {
  border-left: 5px solid #C20000;
  border-bottom: 1px solid #C20000;
  color: #C20000; background: #FFFBD3;
}


dt.not_implemented {
  color: #000000; background: #FAF834;
}

dt.pending_fixed {
  color: #FFFFFF; background: #C40D0D;
}

dt.failed {
  color: #FFFFFF; background: #C40D0D;
}


#rspec-header.not_implemented {
  color: #000000; background: #FAF834;
}

#rspec-header.pending_fixed {
  color: #FFFFFF; background: #C40D0D;
}

#rspec-header.failed {
  color: #FFFFFF; background: #C40D0D;
}


.backtrace {
  color: #000;
  font-size: 12px;
}

a {
  color: #BE5C00;
}

/* Ruby code, style similar to vibrant ink */
.ruby {
  font-size: 12px;
  font-family: monospace;
  color: white;
  background-color: black;
  padding: 0.1em 0 0.2em 0;
}

.ruby .keyword { color: #FF6600; }
.ruby .constant { color: #339999; }
.ruby .attribute { color: white; }
.ruby .global { color: white; }
.ruby .module { color: white; }
.ruby .class { color: white; }
.ruby .string { color: #66FF00; }
.ruby .ident { color: white; }
.ruby .method { color: #FFCC00; }
.ruby .number { color: white; }
.ruby .char { color: white; }
.ruby .comment { color: #9933CC; }
.ruby .symbol { color: white; }
.ruby .regex { color: #44B4CC; }
.ruby .punct { color: white; }
.ruby .escape { color: white; }
.ruby .interp { color: white; }
.ruby .expr { color: white; }

.ruby .offending { background-color: gray; }
.ruby .linenum {
  width: 75px;
  padding: 0.1em 1em 0.2em 0;
  color: #000000;
  background-color: #FFFBD3;
}

  </style>
</head>
<body>
<div class="rspec-report">

<div id="rspec-header">
  <div id="label">
    <h1>RSpec Code Examples</h1>
  </div>

  <div id="display-filters">
    <input id="passed_checkbox"  name="passed_checkbox"  type="checkbox" checked="checked" onchange="apply_filters()" value="1" /> <label for="passed_checkbox">Passed</label>
    <input id="failed_checkbox"  name="failed_checkbox"  type="checkbox" checked="checked" onchange="apply_filters()" value="2" /> <label for="failed_checkbox">Failed</label>
    <input id="pending_checkbox" name="pending_checkbox" type="checkbox" checked="checked" onchange="apply_filters()" value="3" /> <label for="pending_checkbox">Pending</label>
  </div>

  <div id="summary">
    <p id="totals">&#160;</p>
    <p id="duration">&#160;</p>
  </div>
</div>


<div class="results">
<div id="div_group_1" class="example_group passed">
  <dl style="margin-left: 0px;">
  <dt id="example_group_1" class="passed">DashboardController</dt>
  </dl>
</div>
<div id="div_group_2" class="example_group passed">
  <dl style="margin-left: 15px;">
  <dt id="example_group_2" class="passed">GET #index</dt>
    <script type="text/javascript">moveProgressBar('1.9');</script>
    <dd class="example passed"><span class="passed_spec_name">returns http success</span><span class='duration'>0.06734s</span></dd>
  </dl>
</div>
<div id="div_group_3" class="example_group passed">
  <dl style="margin-left: 15px;">
  <dt id="example_group_3" class="passed">GET #welcome</dt>
    <script type="text/javascript">moveProgressBar('3.9');</script>
    <dd class="example passed"><span class="passed_spec_name">returns http success</span><span class='duration'>0.01092s</span></dd>
  </dl>
</div>
<div id="div_group_4" class="example_group passed">
  <dl style="margin-left: 0px;">
  <dt id="example_group_4" class="passed">TasksController</dt>
  </dl>
</div>
<div id="div_group_5" class="example_group passed">
  <dl style="margin-left: 15px;">
  <dt id="example_group_5" class="passed">GET #index</dt>
  </dl>
</div>
<div id="div_group_6" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_6" class="passed">returns http success</dt>
    <script type="text/javascript">moveProgressBar('5.8');</script>
    <dd class="example passed"><span class="passed_spec_name">when ordinary user</span><span class='duration'>0.02422s</span></dd>
    <script type="text/javascript">moveProgressBar('7.8');</script>
    <dd class="example passed"><span class="passed_spec_name">when admin user</span><span class='duration'>0.03379s</span></dd>
  </dl>
</div>
<div id="div_group_7" class="example_group passed">
  <dl style="margin-left: 15px;">
  <dt id="example_group_7" class="passed">GET #show</dt>
  </dl>
</div>
<div id="div_group_8" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_8" class="passed">returns http success</dt>
    <script type="text/javascript">moveProgressBar('9.8');</script>
    <dd class="example passed"><span class="passed_spec_name">when ordinary user</span><span class='duration'>0.02327s</span></dd>
    <script type="text/javascript">moveProgressBar('11.7');</script>
    <dd class="example passed"><span class="passed_spec_name">when admin user</span><span class='duration'>0.02384s</span></dd>
  </dl>
</div>
<div id="div_group_9" class="example_group passed">
  <dl style="margin-left: 15px;">
  <dt id="example_group_9" class="passed">Post #create</dt>
  </dl>
</div>
<div id="div_group_10" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_10" class="passed">returns http found</dt>
    <script type="text/javascript">moveProgressBar('13.7');</script>
    <dd class="example passed"><span class="passed_spec_name">when ordinary user</span><span class='duration'>0.03184s</span></dd>
  </dl>
</div>
<div id="div_group_11" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_11" class="passed">returns http found</dt>
    <script type="text/javascript">moveProgressBar('15.6');</script>
    <dd class="example passed"><span class="passed_spec_name">when admin user</span><span class='duration'>0.03250s</span></dd>
  </dl>
</div>
<div id="div_group_12" class="example_group passed">
  <dl style="margin-left: 15px;">
  <dt id="example_group_12" class="passed">Put #update</dt>
  </dl>
</div>
<div id="div_group_13" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_13" class="passed">returns http found</dt>
    <script type="text/javascript">moveProgressBar('17.6');</script>
    <dd class="example passed"><span class="passed_spec_name">when ordinary user</span><span class='duration'>0.02763s</span></dd>
  </dl>
</div>
<div id="div_group_14" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_14" class="passed">returns http found</dt>
    <script type="text/javascript">moveProgressBar('19.6');</script>
    <dd class="example passed"><span class="passed_spec_name">when admin user</span><span class='duration'>0.02769s</span></dd>
  </dl>
</div>
<div id="div_group_15" class="example_group passed">
  <dl style="margin-left: 15px;">
  <dt id="example_group_15" class="passed">Delete #destroy</dt>
  </dl>
</div>
<div id="div_group_16" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_16" class="passed">returns http found</dt>
    <script type="text/javascript">moveProgressBar('21.5');</script>
    <dd class="example passed"><span class="passed_spec_name">when ordinary user</span><span class='duration'>0.02290s</span></dd>
  </dl>
</div>
<div id="div_group_17" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_17" class="passed">returns http found</dt>
    <script type="text/javascript">moveProgressBar('23.5');</script>
    <dd class="example passed"><span class="passed_spec_name">when admin user</span><span class='duration'>0.02731s</span></dd>
  </dl>
</div>
<div id="div_group_18" class="example_group passed">
  <dl style="margin-left: 0px;">
  <dt id="example_group_18" class="passed">DashboardHelper</dt>
    <script type="text/javascript">makeYellow('rspec-header');</script>
    <script type="text/javascript">makeYellow('div_group_18');</script>
    <script type="text/javascript">makeYellow('example_group_18');</script>
    <script type="text/javascript">moveProgressBar('25.4');</script>
    <dd class="example not_implemented"><span class="not_implemented_spec_name">add some examples to (or delete) /app/spec/helpers/dashboard_helper_spec.rb (PENDING: Not yet implemented)</span></dd>
  </dl>
</div>
<div id="div_group_19" class="example_group passed">
  <dl style="margin-left: 0px;">
  <dt id="example_group_19" class="passed">TasksHelper</dt>
    <script type="text/javascript">makeYellow('rspec-header');</script>
    <script type="text/javascript">makeYellow('div_group_19');</script>
    <script type="text/javascript">makeYellow('example_group_19');</script>
    <script type="text/javascript">moveProgressBar('27.4');</script>
    <dd class="example not_implemented"><span class="not_implemented_spec_name">add some examples to (or delete) /app/spec/helpers/tasks_helper_spec.rb (PENDING: Not yet implemented)</span></dd>
  </dl>
</div>
<div id="div_group_20" class="example_group passed">
  <dl style="margin-left: 0px;">
  <dt id="example_group_20" class="passed">Task</dt>
  </dl>
</div>
<div id="div_group_21" class="example_group passed">
  <dl style="margin-left: 15px;">
  <dt id="example_group_21" class="passed">Associations</dt>
    <script type="text/javascript">moveProgressBar('29.4');</script>
    <dd class="example passed"><span class="passed_spec_name">should belong to user required: true</span><span class='duration'>0.01704s</span></dd>
  </dl>
</div>
<div id="div_group_22" class="example_group passed">
  <dl style="margin-left: 15px;">
  <dt id="example_group_22" class="passed">Validations</dt>
  </dl>
</div>
<div id="div_group_23" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_23" class="passed">title</dt>
    <script type="text/javascript">moveProgressBar('31.3');</script>
    <dd class="example passed"><span class="passed_spec_name">should not be blank</span><span class='duration'>0.01548s</span></dd>
  </dl>
</div>
<div id="div_group_24" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_24" class="passed">description</dt>
    <script type="text/javascript">moveProgressBar('33.3');</script>
    <dd class="example passed"><span class="passed_spec_name">should not be blank</span><span class='duration'>0.01492s</span></dd>
  </dl>
</div>
<div id="div_group_25" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_25" class="passed">end_time</dt>
    <script type="text/javascript">moveProgressBar('35.2');</script>
    <dd class="example passed"><span class="passed_spec_name">should not be blank</span><span class='duration'>0.01495s</span></dd>
  </dl>
</div>
<div id="div_group_26" class="example_group passed">
  <dl style="margin-left: 0px;">
  <dt id="example_group_26" class="passed">User</dt>
  </dl>
</div>
<div id="div_group_27" class="example_group passed">
  <dl style="margin-left: 15px;">
  <dt id="example_group_27" class="passed">Associations</dt>
    <script type="text/javascript">moveProgressBar('37.2');</script>
    <dd class="example passed"><span class="passed_spec_name">should have many tasks</span><span class='duration'>0.01320s</span></dd>
  </dl>
</div>
<div id="div_group_28" class="example_group passed">
  <dl style="margin-left: 15px;">
  <dt id="example_group_28" class="passed">Validations</dt>
  </dl>
</div>
<div id="div_group_29" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_29" class="passed">email</dt>
    <script type="text/javascript">moveProgressBar('39.2');</script>
    <dd class="example passed"><span class="passed_spec_name">should be unique</span><span class='duration'>0.01718s</span></dd>
    <script type="text/javascript">moveProgressBar('41.1');</script>
    <dd class="example passed"><span class="passed_spec_name">should not be blank</span><span class='duration'>0.01695s</span></dd>
  </dl>
</div>
<div id="div_group_30" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_30" class="passed">name</dt>
    <script type="text/javascript">moveProgressBar('43.1');</script>
    <dd class="example passed"><span class="passed_spec_name">should not be blank</span><span class='duration'>0.01349s</span></dd>
  </dl>
</div>
<div id="div_group_31" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_31" class="passed">nickname</dt>
    <script type="text/javascript">moveProgressBar('45.0');</script>
    <dd class="example passed"><span class="passed_spec_name">should not be blank</span><span class='duration'>0.01350s</span></dd>
  </dl>
</div>
<div id="div_group_32" class="example_group passed">
  <dl style="margin-left: 0px;">
  <dt id="example_group_32" class="passed">TaskPolicy</dt>
  </dl>
</div>
<div id="div_group_33" class="example_group passed">
  <dl style="margin-left: 15px;">
  <dt id="example_group_33" class="passed">index?</dt>
  </dl>
</div>
<div id="div_group_34" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_34" class="passed">User show all tasks</dt>
    <script type="text/javascript">moveProgressBar('47.0');</script>
    <dd class="example passed"><span class="passed_spec_name">grants access if user is an ordinary</span><span class='duration'>0.02033s</span></dd>
    <script type="text/javascript">moveProgressBar('49.0');</script>
    <dd class="example passed"><span class="passed_spec_name">grants access if user is an admin</span><span class='duration'>0.02052s</span></dd>
  </dl>
</div>
<div id="div_group_35" class="example_group passed">
  <dl style="margin-left: 15px;">
  <dt id="example_group_35" class="passed">show?</dt>
  </dl>
</div>
<div id="div_group_36" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_36" class="passed">User show his tasks</dt>
    <script type="text/javascript">moveProgressBar('50.9');</script>
    <dd class="example passed"><span class="passed_spec_name">grants access if user is an ordinary</span><span class='duration'>0.02094s</span></dd>
    <script type="text/javascript">moveProgressBar('52.9');</script>
    <dd class="example passed"><span class="passed_spec_name">grants access if user is an manager</span><span class='duration'>0.02025s</span></dd>
  </dl>
</div>
<div id="div_group_37" class="example_group passed">
  <dl style="margin-left: 15px;">
  <dt id="example_group_37" class="passed">create?</dt>
  </dl>
</div>
<div id="div_group_38" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_38" class="passed">User update his tasks</dt>
    <script type="text/javascript">moveProgressBar('54.9');</script>
    <dd class="example passed"><span class="passed_spec_name">grants access if user is an ordinary</span><span class='duration'>0.02130s</span></dd>
    <script type="text/javascript">moveProgressBar('56.8');</script>
    <dd class="example passed"><span class="passed_spec_name">grants access if user is an admin</span><span class='duration'>0.02155s</span></dd>
  </dl>
</div>
<div id="div_group_39" class="example_group passed">
  <dl style="margin-left: 15px;">
  <dt id="example_group_39" class="passed">update?</dt>
  </dl>
</div>
<div id="div_group_40" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_40" class="passed">User update his tasks</dt>
    <script type="text/javascript">moveProgressBar('58.8');</script>
    <dd class="example passed"><span class="passed_spec_name">grants access if user is an ordinary</span><span class='duration'>0.02204s</span></dd>
    <script type="text/javascript">moveProgressBar('60.7');</script>
    <dd class="example passed"><span class="passed_spec_name">grants access if user is an admin</span><span class='duration'>0.02136s</span></dd>
  </dl>
</div>
<div id="div_group_41" class="example_group passed">
  <dl style="margin-left: 15px;">
  <dt id="example_group_41" class="passed">delete?</dt>
  </dl>
</div>
<div id="div_group_42" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_42" class="passed">User update his tasks</dt>
    <script type="text/javascript">moveProgressBar('62.7');</script>
    <dd class="example passed"><span class="passed_spec_name">grants access if user is an ordinary</span><span class='duration'>0.02204s</span></dd>
    <script type="text/javascript">moveProgressBar('64.7');</script>
    <dd class="example passed"><span class="passed_spec_name">grants access if user is an admin</span><span class='duration'>0.02600s</span></dd>
  </dl>
</div>
<div id="div_group_43" class="example_group passed">
  <dl style="margin-left: 0px;">
  <dt id="example_group_43" class="passed">Sessions</dt>
    <script type="text/javascript">moveProgressBar('66.6');</script>
    <dd class="example passed"><span class="passed_spec_name">sign user in and out</span><span class='duration'>0.85824s</span></dd>
  </dl>
</div>
<div id="div_group_44" class="example_group passed">
  <dl style="margin-left: 0px;">
  <dt id="example_group_44" class="passed">Task</dt>
  </dl>
</div>
<div id="div_group_45" class="example_group passed">
  <dl style="margin-left: 15px;">
  <dt id="example_group_45" class="passed">GET /index</dt>
  </dl>
</div>
<div id="div_group_46" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_46" class="passed">With Invalid authentication</dt>
  </dl>
</div>
<div id="div_group_47" class="example_group passed">
  <dl style="margin-left: 45px;">
  <dt id="example_group_47" class="passed">behaves like deny_without_authorization</dt>
    <script type="text/javascript">moveProgressBar('68.6');</script>
    <dd class="example passed"><span class="passed_spec_name">returns unauthrorized(401) request</span><span class='duration'>0.02370s</span></dd>
  </dl>
</div>
<div id="div_group_48" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_48" class="passed">ordinary user with valid authentication</dt>
    <script type="text/javascript">moveProgressBar('70.5');</script>
    <dd class="example passed"><span class="passed_spec_name">returns 200</span><span class='duration'>0.03668s</span></dd>
  </dl>
</div>
<div id="div_group_49" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_49" class="passed">admin user with valid authentication</dt>
    <script type="text/javascript">moveProgressBar('72.5');</script>
    <dd class="example passed"><span class="passed_spec_name">returns 200</span><span class='duration'>0.03661s</span></dd>
  </dl>
</div>
<div id="div_group_50" class="example_group passed">
  <dl style="margin-left: 15px;">
  <dt id="example_group_50" class="passed">GET /tasks/id</dt>
  </dl>
</div>
<div id="div_group_51" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_51" class="passed">With Invalid authentication headers</dt>
  </dl>
</div>
<div id="div_group_52" class="example_group passed">
  <dl style="margin-left: 45px;">
  <dt id="example_group_52" class="passed">behaves like deny_without_authorization</dt>
    <script type="text/javascript">moveProgressBar('74.5');</script>
    <dd class="example passed"><span class="passed_spec_name">returns unauthrorized(401) request</span><span class='duration'>0.01991s</span></dd>
  </dl>
</div>
<div id="div_group_53" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_53" class="passed">admin user with valid authentication</dt>
    <script type="text/javascript">moveProgressBar('76.4');</script>
    <dd class="example passed"><span class="passed_spec_name">returns 200</span><span class='duration'>0.03737s</span></dd>
  </dl>
</div>
<div id="div_group_54" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_54" class="passed">ordinary user with valid authentication</dt>
    <script type="text/javascript">moveProgressBar('78.4');</script>
    <dd class="example passed"><span class="passed_spec_name">returns 200</span><span class='duration'>0.03507s</span></dd>
  </dl>
</div>
<div id="div_group_55" class="example_group passed">
  <dl style="margin-left: 15px;">
  <dt id="example_group_55" class="passed">PUT /tasks/id</dt>
  </dl>
</div>
<div id="div_group_56" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_56" class="passed">With Invalid authentication headers</dt>
  </dl>
</div>
<div id="div_group_57" class="example_group passed">
  <dl style="margin-left: 45px;">
  <dt id="example_group_57" class="passed">behaves like deny_without_authorization</dt>
    <script type="text/javascript">moveProgressBar('80.3');</script>
    <dd class="example passed"><span class="passed_spec_name">returns unauthrorized(401) request</span><span class='duration'>0.01967s</span></dd>
  </dl>
</div>
<div id="div_group_58" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_58" class="passed">admin user with valid authentication and autorization</dt>
    <script type="text/javascript">moveProgressBar('82.3');</script>
    <dd class="example passed"><span class="passed_spec_name">returns 302</span><span class='duration'>0.03927s</span></dd>
  </dl>
</div>
<div id="div_group_59" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_59" class="passed">ordinary user with valid authentication</dt>
    <script type="text/javascript">moveProgressBar('84.3');</script>
    <dd class="example passed"><span class="passed_spec_name">returns 302</span><span class='duration'>0.03727s</span></dd>
  </dl>
</div>
<div id="div_group_60" class="example_group passed">
  <dl style="margin-left: 15px;">
  <dt id="example_group_60" class="passed">POST /tasks</dt>
  </dl>
</div>
<div id="div_group_61" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_61" class="passed">With Invalid authentication headers</dt>
  </dl>
</div>
<div id="div_group_62" class="example_group passed">
  <dl style="margin-left: 45px;">
  <dt id="example_group_62" class="passed">behaves like deny_without_authorization</dt>
    <script type="text/javascript">moveProgressBar('86.2');</script>
    <dd class="example passed"><span class="passed_spec_name">returns unauthrorized(401) request</span><span class='duration'>0.01941s</span></dd>
  </dl>
</div>
<div id="div_group_63" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_63" class="passed">admin user with valid authentication and autorization</dt>
    <script type="text/javascript">moveProgressBar('88.2');</script>
    <dd class="example passed"><span class="passed_spec_name">returns 302</span><span class='duration'>0.02895s</span></dd>
  </dl>
</div>
<div id="div_group_64" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_64" class="passed">ordinary user with valid authentication</dt>
    <script type="text/javascript">moveProgressBar('90.1');</script>
    <dd class="example passed"><span class="passed_spec_name">returns 302</span><span class='duration'>0.03011s</span></dd>
  </dl>
</div>
<div id="div_group_65" class="example_group passed">
  <dl style="margin-left: 15px;">
  <dt id="example_group_65" class="passed">Delete /tasks/id</dt>
  </dl>
</div>
<div id="div_group_66" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_66" class="passed">With Invalid authentication headers</dt>
  </dl>
</div>
<div id="div_group_67" class="example_group passed">
  <dl style="margin-left: 45px;">
  <dt id="example_group_67" class="passed">behaves like deny_without_authorization</dt>
    <script type="text/javascript">moveProgressBar('92.1');</script>
    <dd class="example passed"><span class="passed_spec_name">returns unauthrorized(401) request</span><span class='duration'>0.01951s</span></dd>
  </dl>
</div>
<div id="div_group_68" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_68" class="passed">admin user with valid authentication and no autorization</dt>
    <script type="text/javascript">moveProgressBar('94.1');</script>
    <dd class="example passed"><span class="passed_spec_name">returns 302</span><span class='duration'>0.03214s</span></dd>
  </dl>
</div>
<div id="div_group_69" class="example_group passed">
  <dl style="margin-left: 30px;">
  <dt id="example_group_69" class="passed">ordinary user with valid authentication</dt>
    <script type="text/javascript">moveProgressBar('96.0');</script>
    <dd class="example passed"><span class="passed_spec_name">returns 302</span><span class='duration'>0.03137s</span></dd>
  </dl>
</div>
<div id="div_group_70" class="example_group passed">
  <dl style="margin-left: 0px;">
  <dt id="example_group_70" class="passed">dashboard/index.html.erb</dt>
    <script type="text/javascript">makeYellow('rspec-header');</script>
    <script type="text/javascript">makeYellow('div_group_70');</script>
    <script type="text/javascript">makeYellow('example_group_70');</script>
    <script type="text/javascript">moveProgressBar('98.0');</script>
    <dd class="example not_implemented"><span class="not_implemented_spec_name">add some examples to (or delete) /app/spec/views/dashboard/index.html.erb_spec.rb (PENDING: Not yet implemented)</span></dd>
  </dl>
</div>
<div id="div_group_71" class="example_group passed">
  <dl style="margin-left: 0px;">
  <dt id="example_group_71" class="passed">dashboard/welcome.html.erb</dt>
    <script type="text/javascript">makeYellow('rspec-header');</script>
    <script type="text/javascript">makeYellow('div_group_71');</script>
    <script type="text/javascript">makeYellow('example_group_71');</script>
    <script type="text/javascript">moveProgressBar('100.0');</script>
    <dd class="example not_implemented"><span class="not_implemented_spec_name">add some examples to (or delete) /app/spec/views/dashboard/welcome.html.erb_spec.rb (PENDING: Not yet implemented)</span></dd>
  </dl>
</div>

Deprecation Warnings:

`failure_message_for_should_not` is deprecated. Use `failure_message_when_negated` instead. Called from /app/spec/support/pundit_matcher.rb:10:in `block in <top (required)>'.

`failure_message_for_should` is deprecated. Use `failure_message` instead. Called from /app/spec/support/pundit_matcher.rb:6:in `block in <top (required)>'.


If you need more of the backtrace for any of these deprecations to
identify where to make the necessary changes, you can configure
`config.raise_errors_for_deprecations!`, and it will turn the
deprecation warnings into errors, giving you the full backtrace.

2 deprecation warnings total
<script type="text/javascript">document.getElementById('duration').innerHTML = "Finished in <strong>2.03372 seconds</strong>";</script>
<script type="text/javascript">document.getElementById('totals').innerHTML = "51 examples, 0 failures, 4 pending";</script>
</div>
</div>
</body>
</html>
